## pure-ftpd 1.0.47

=== debian/changelog ===
pure-ftpd (1.0.47-3) unstable; urgency=medium

  * Add TLS1.3 compatibility fix (Closes: #918630). 

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 28 Jan 2019 19:56:17 +0100

pure-ftpd (1.0.47-2) unstable; urgency=medium

  * Fix lintian issues (missing-debian-source-format and debug-file-with-no-debug-symbols).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 01 Dec 2018 16:55:20 +0100

pure-ftpd (1.0.47-1) unstable; urgency=medium

  * New upstream release
  * Partially fix FTCBFS: Let dh_auto_configure pass --host to ./configure.
    (Closes: #886212, thanks to Helmut Grohne <helmut@subdivi.de>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 30 Oct 2018 14:26:58 +0100

pure-ftpd (1.0.46-1) unstable; urgency=medium

  * New upstream release (Closes: #861159, #867380):
    - Fixes bug when using MariaDB
    - Remove patch for OpenSSL 1.1
    - Remove example contrib/xml_python_processors.txt
  * Update debhelper compatibility level
  * Bump up Standards-Version to 4.0.0.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 24 Jul 2017 17:51:37 +0200

pure-ftpd (1.0.43-3) unstable; urgency=medium

  * Finally fix issue with /etc/default/pure-ftpd-common (Closes: #847218).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 08 Dec 2016 13:28:56 +0100

pure-ftpd (1.0.43-2) unstable; urgency=medium

  * Add upstream patch for OpenSSL 1.1.x compatibility (Closes: #828516).
  * Add Debian watch file.
  * Fix build dependency on obsolete package libmysqlclient-dev.
  * Remove incorrect Vcs-* fields from control file.
  * Add NoTruncate to POD of pure-ftpd-wrapper script (Ubuntu #1166330).
  * Bump up Standards-Version to 3.9.8.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 27 Oct 2016 14:29:26 +0200

pure-ftpd (1.0.43-1) unstable; urgency=medium

  * New upstream release:
     - remove patch for PostgreSQL configuration file.
     - remove PAM_RHOST patch.
     - security improvements (Closes: #782353, #791420).
     - additional cipher suites configuration options (Closes: #789205).
  * Add -O2 to CFLAGS in order to enable hardened build features (Closes: #764537).
  * Stop using absolute path for dpkg-statoverride (Closes: #770049).
  * Drop conditional build-depend on libmysqlclient15-dev (Closes: #790474).
  * Align default for TLSCipherSuite configuration with Pure-FTPd sources.
  * Lintian fixes:
     - replace dh_clean -k with dh_prep

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 05 Sep 2016 14:27:30 +0200

pure-ftpd (1.0.36-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "depend on perl instead of perl-modules":
    debian/control: update Depends for pure-ftpd-common.
    (Closes: #779117)

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Feb 2015 22:20:30 +0100

pure-ftpd (1.0.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source changes, but this gets rid of spurious /etc/default/pure-ftpd
    conffile (closes: #688206).

 -- Julien Cristau <jcristau@debian.org>  Fri, 14 Nov 2014 16:00:31 +0100

pure-ftpd (1.0.36-3) unstable; urgency=medium

  * Add TLSCipherSuite configuration file which only leaves TLSv1 ciphers
    enabled and is thus safe from the Poodle attack.
  * Add --show-options commandline option to wrapper script.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 19 Oct 2014 14:36:29 +0200

pure-ftpd (1.0.36-2) unstable; urgency=medium

  * Add support for TLSCipherSuite to pure-ftpd-wrapper script 
    (Closes: #701070, thanks to Pim van den Berg <pim@md.nl>).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 01 Jul 2014 08:57:07 +0200

pure-ftpd (1.0.36-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/pure-ftpd-common":
    - don't ship /etc/default/pure-ftpd-common
    - create it in .postinst if it doesn't exist
    - remove it in .postrm/purge
    - restructure .postinst a bit
    (Closes: #688206)

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Oct 2012 18:09:21 +0200

pure-ftpd (1.0.36-1) unstable; urgency=low

  * New upstream release, fixes external authentication (Closes: #652938,
    thanks to Jon Daley <debian@jon.limedaley.com> for the report).
  * Add build-arch and build-indep targets to debian/rules.
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 22 Jun 2012 08:44:54 +0200

pure-ftpd (1.0.35-1) unstable; urgency=low

  * New upstream release, fixes quote miscalculation.
  * Add Debconf translation for Danish (Closes: #633986, thanks to Joe
    Dalton <joedalton2@yahoo.dk>).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 04 Dec 2011 07:57:06 +0100

pure-ftpd (1.0.32-1) unstable; urgency=high

  * New upstream release, fixes glob vulnerability (Closes: #624848).
  * Remove custom default stop values.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 02 May 2011 06:52:11 +0200

pure-ftpd (1.0.30-1) unstable; urgency=high

  * New upstream release, fixes TLS security flaw (Closes: #617334).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 08 Mar 2011 08:30:11 +0100

pure-ftpd (1.0.28-4) unstable; urgency=low

  * Add Debconf translation for Brazilian Portuguese (Closes: #610403,
    thanks to Flamarion Jorge <flamarilinux@yahoo.com.br>)
  * Accept -1 as unlimited value for RecursionLimit (Closes: #598219,
    thanks to Steven Van Ingelgem <steven@salvania.be> for the report)
  * Fix mismatch of stop runlevel arguments and LSB Default-Stop values
    (Closes: #607705, #607757)
  * Fix incorrect default location of PostgreSQL unix socket 
    (Closes: #612973, thanks to Herwin Weststrate <herwin@snt.utwente.nl>
    for the report)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 14 Feb 2011 11:13:55 +0100

pure-ftpd (1.0.28-3) unstable; urgency=medium

  * Fix "fails to authenticate, errors in configuration file (SQL)": add
    quotation marks to pureftpd-pgsql.conf, as explained in README.PGSQL
    (Closes: #604018, thanks to Gregor Herrmann <gregoa@debian.org> for
    the patch)


