=== debian/rules ===
#!/usr/bin/make -f
# adapted from sample debian/rules that uses debhelper,
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright 2002-2016 by Stefan Hornburg (Racke) <racke@linuxia.de>
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

cfgflags=--sysconfdir=/etc/pure-ftpd CFLAGS="-O2 -DMAX_USER_LENGTH=128U -g"
optflags=--with-everything --with-largefile --with-pam --with-privsep --with-tls --with-rfc2640
bin=pure-pw pure-statsdecode pure-pwconvert
sbin=pure-authd pure-ftpwho pure-uploadscript pure-quotacheck pure-ftpd pure-mrtginfo

FLAVOURS=pure-ftpd pure-ftpd-ldap pure-ftpd-mysql pure-ftpd-postgresql

src/vanilla/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags)
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/ldap/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-ldap
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/mysql/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-mysql
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/postgresql/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-pgsql
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/vanilla-virtualchroot/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-virtualchroot
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/ldap-virtualchroot/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-virtualchroot --with-ldap
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/mysql-virtualchroot/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-virtualchroot --with-mysql
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

src/postgresql-virtualchroot/pure-ftpd:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_configure -- $(cfgflags) $(optflags) --with-virtualchroot --with-pgsql
	$(MAKE)
	mkdir $(@D)
	mv $(addprefix src/, $(bin) $(sbin)) $(@D)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: src/vanilla/pure-ftpd src/ldap/pure-ftpd src/mysql/pure-ftpd src/postgresql/pure-ftpd src/vanilla-virtualchroot/pure-ftpd src/ldap-virtualchroot/pure-ftpd src/mysql-virtualchroot/pure-ftpd src/postgresql-virtualchroot/pure-ftpd
	dh_testdir
# create duplicates of the init script with unique provides
	for suffix in -ldap -mysql -postgresql; do \
		install -m 0644 -p debian/pure-ftpd.init.d debian/pure-ftpd$$suffix.init.d; \
		sed -i -e "/Provides:/s/pure-ftpd/pure-ftpd$$suffix/" \
               debian/pure-ftpd$$suffix.init.d; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	debconf-updatepo
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp configure-stamp config.status
	rm -rf src/.deps puredb/src/.deps src/vanilla src/ldap src/mysql src/postgresql src/vanilla-virtualchroot src/ldap-virtualchroot src/mysql-virtualchroot src/postgresql-virtualchroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -ppure-ftpd-common etc/pam.d
	dh_installdirs -A -Npure-ftpd-common usr/bin usr/sbin
#	dh_installdirs -A usr/share/lintian/overrides

# install docs and changelogs
	dh_installdocs -ppure-ftpd-common --exclude=Windows --exclude=MacOS AUTHORS CONTACT HISTORY NEWS THANKS README* pureftpd.schema
	dh_installchangelogs -p pure-ftpd-common ChangeLog

# put all docs in /usr/share/doc/pure-ftpd-common and provide symlinks for other packages
	for suffix in "" -ldap -mysql -postgresql; do \
		install -d debian/pure-ftpd$$suffix/usr/share/doc; \
		ln -s pure-ftpd-common debian/pure-ftpd$$suffix/usr/share/doc/pure-ftpd$$suffix ; \
	done

# pam and init
	install -p -m644 debian/pam debian/pure-ftpd-common/etc/pam.d/pure-ftpd
	dh_installinit

# logrotate
	dh_installlogrotate

# install into debian/pure-ftpd-common
# include binaries to make "make install" happy
	cp src/vanilla/* src
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pure-ftpd-common #prefix=$(CURDIR)/debian/pure-ftpd-common/usr
# now remove binaries from package
	rm -r $(CURDIR)/debian/pure-ftpd-common/usr/bin
	rm $(CURDIR)/debian/pure-ftpd-common/usr/sbin/*
	install -m 0644 debian/ftpallow $(CURDIR)/debian/pure-ftpd-common/etc/
	for package in $(FLAVOURS); do \
		install -m 0644 debian/ftpusers $(CURDIR)/debian/$$package/etc; \
	done
#	for suffix in '' -ldap -mysql; do \
#		echo "pure-ftpd$$suffix: binary-without-manpage" > \
#			$(CURDIR)/debian/pure-ftpd$$suffix/usr/share/lintian/overrides/pure-ftpd$$suffix ; \
#		chmod 0644 $(CURDIR)/debian/pure-ftpd$$suffix/usr/share/lintian/overrides/pure-ftpd$$suffix ; \
#	done
#	for suffix in common ldap mysql; do \
#		echo "pure-ftpd-$$suffix: usr-doc-symlink-without-dependency" >> \
#			$(CURDIR)/debian/pure-ftpd-$$suffix/usr/share/lintian/overrides/pure-ftpd-$$suffix ; \
#	done
#	echo "pure-ftpd: no-copyright-file" >> \
#		$(CURDIR)/debian/pure-ftpd/usr/share/lintian/overrides/pure-ftpd

	install -m 0755 $(addprefix src/vanilla/, $(bin)) \
		$(CURDIR)/debian/pure-ftpd/usr/bin
	install -m 0755 $(addprefix src/vanilla/, $(sbin)) \
		$(CURDIR)/debian/pure-ftpd/usr/sbin
	install -m 0755 $(addprefix src/ldap/, $(bin)) \
		$(CURDIR)/debian/pure-ftpd-ldap/usr/bin
	install -m 0755 $(addprefix src/ldap/, $(sbin)) \
		$(CURDIR)/debian/pure-ftpd-ldap/usr/sbin
	install -m 0755 $(addprefix src/mysql/, $(bin)) \
		$(CURDIR)/debian/pure-ftpd-mysql/usr/bin
	install -m 0755 $(addprefix src/mysql/, $(sbin)) \
		$(CURDIR)/debian/pure-ftpd-mysql/usr/sbin
	install -m 0755 $(addprefix src/postgresql/, $(bin)) \
		$(CURDIR)/debian/pure-ftpd-postgresql/usr/bin
	install -m 0755 $(addprefix src/postgresql/, $(sbin)) \
		$(CURDIR)/debian/pure-ftpd-postgresql/usr/sbin
	(cd $(CURDIR)/debian/pure-ftpd-mysql/usr/sbin/; mv pure-ftpd pure-ftpd-mysql)
	(cd $(CURDIR)/debian/pure-ftpd-postgresql/usr/sbin/; mv pure-ftpd pure-ftpd-postgresql)
	(cd $(CURDIR)/debian/pure-ftpd-ldap/usr/sbin/; mv pure-ftpd pure-ftpd-ldap)
	install -m 0755 $(CURDIR)/src/vanilla-virtualchroot/pure-ftpd $(CURDIR)/debian/pure-ftpd/usr/sbin/pure-ftpd-virtualchroot
	install -m 0755 $(CURDIR)/src/ldap-virtualchroot/pure-ftpd $(CURDIR)/debian/pure-ftpd-ldap/usr/sbin/pure-ftpd-ldap-virtualchroot
	install -m 0755 $(CURDIR)/src/mysql-virtualchroot/pure-ftpd $(CURDIR)/debian/pure-ftpd-mysql/usr/sbin/pure-ftpd-mysql-virtualchroot
	install -m 0755 $(CURDIR)/src/postgresql-virtualchroot/pure-ftpd $(CURDIR)/debian/pure-ftpd-postgresql/usr/sbin/pure-ftpd-postgresql-virtualchroot

# install config files
	install -d $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/conf
	install -d $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/db
	install -m 0644 debian/pureftpd-dir-aliases $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd
	for f in debian/etc/*; do if [ -f $$f ]; then install -m 0644 $$f $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/conf; fi; done
	install -d $(CURDIR)/debian/pure-ftpd-ldap/etc/pure-ftpd/conf
	install -m 0644 debian/etc/ldap/* $(CURDIR)/debian/pure-ftpd-ldap/etc/pure-ftpd/conf
	install -d $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/conf
	install -d $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/db
	install -m 0644 debian/etc/mysql/* $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/conf
	install -d $(CURDIR)/debian/pure-ftpd-postgresql/etc/pure-ftpd/conf
	install -d $(CURDIR)/debian/pure-ftpd-postgresql/etc/pure-ftpd/db
	install -m 0644 debian/etc/postgresql/* $(CURDIR)/debian/pure-ftpd-postgresql/etc/pure-ftpd/conf
# links for authentication configuration
	install -d $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/auth
