## pure-ftpd 1.0.49

=== debian/changelog ===
pure-ftpd (1.0.49-4ubuntu0.1) focal; urgency=medium

  * Remove doc symlink to fix upgrade error. (LP: #1876597)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 21 Mar 2024 20:13:01 +0000

pure-ftpd (1.0.49-4) unstable; urgency=medium

  * Fix uninitialized pointer vulnerability in the diraliases linked list: CVE-2020-9274 (Closes: #952666)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 27 Feb 2020 10:26:33 +0100

pure-ftpd (1.0.49-3) unstable; urgency=medium

  * Fix out-of-bounds (OOB) read in the pure_strcmp function: CVE-2020-9365 (Closes: #952471).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 26 Feb 2020 08:14:52 +0100

pure-ftpd (1.0.49-2) unstable; urgency=medium

  *  Fix stack exhaustion issue: CVE-2019-20176 (Closes: #947869)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 01 Jan 2020 16:21:21 +0100

pure-ftpd (1.0.49-1) unstable; urgency=medium

  * New upstream release (Closes: #943813, #940505, #889346)
  * Ignore FSCharset and ClientCharset options which have been removed in release 1.0.48.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 30 Oct 2019 19:37:46 +0200

pure-ftpd (1.0.47-4) experimental; urgency=medium

  * Add support for Argon2 and scrypt hash functions (Closes: #926001)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 30 Mar 2019 15:49:35 +0100
