=== debian/rules ===
--- 
+++ 
@@ -109,14 +109,9 @@
 #	dh_installdirs -A usr/share/lintian/overrides
 
 # install docs and changelogs
-	dh_installdocs -ppure-ftpd-common --exclude=Windows --exclude=MacOS AUTHORS CONTACT HISTORY NEWS THANKS README* pureftpd.schema
+	dh_installdocs -ppure-ftpd-common --exclude=Windows --exclude=MacOS AUTHORS HISTORY THANKS README* pureftpd.schema
+	dh_installdocs -Npure-ftpd-common --exclude=Windows --exclude=MacOS
 	dh_installchangelogs -p pure-ftpd-common ChangeLog
-
-# put all docs in /usr/share/doc/pure-ftpd-common and provide symlinks for other packages
-	for suffix in "" -ldap -mysql -postgresql; do \
-		install -d debian/pure-ftpd$$suffix/usr/share/doc; \
-		ln -s pure-ftpd-common debian/pure-ftpd$$suffix/usr/share/doc/pure-ftpd$$suffix ; \
-	done
 
 # pam and init
 	install -p -m644 debian/pam debian/pure-ftpd-common/etc/pam.d/pure-ftpd
@@ -187,3 +182,6 @@
 	install -m 0644 debian/etc/postgresql/* $(CURDIR)/debian/pure-ftpd-postgresql/etc/pure-ftpd/conf
 # links for authentication configuration
 	install -d $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/auth
+	(cd $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/auth && ln -s ../conf/PAMAuthentication 70pam && ln -s ../conf/UnixAuthentication 65unix)
+	install -d $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/auth
+	(cd $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/auth && ln -s ../conf/MySQLConfigFile 30mysql)
