## pure-ftpd 1.0.50

=== debian/changelog ===
pure-ftpd (1.0.50-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1004682)

 -- Paul Gevers <elbrus@debian.org>  Mon, 31 Jan 2022 19:42:16 +0100

pure-ftpd (1.0.50-2) unstable; urgency=medium

  * Set debhelper compat level to 11 (Closes: #981387).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 04 Dec 2021 14:45:50 +0100

pure-ftpd (1.0.50-1) unstable; urgency=medium

  * New upstream release.
  * Fixes possible denial of service caused by an incorrect
    max_filesize quota mechanism (CVE-2021-40524, Closes: #993810).
  * Fix FTCBFS caused by not finding mysql/mariadb (Closes: #981387).
  * Label runtime directory correctly on SE Linux systems (Closes: #980051).
  * Add pure-certd binary to packages (Closes: #987011).

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 27 Nov 2021 12:38:13 +0100

pure-ftpd (1.0.49-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not symlink /usr/share/doc/pure-ftpd* to pure-ftpd-common.
    (Closes: #943874)
  * Whitespace cleanup.
  * Remove obsolete lintian overrides.
  * Re-encode translations to UTF-8.
  * Fix typos.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Jan 2021 23:36:46 +0100
