=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 cfgflags=--sysconfdir=/etc/pure-ftpd CFLAGS="-O2 -DMAX_USER_LENGTH=128U -g"
 optflags=--with-everything --with-largefile --with-pam --with-privsep --with-tls --with-rfc2640
 bin=pure-pw pure-statsdecode pure-pwconvert
-sbin=pure-authd pure-ftpwho pure-uploadscript pure-quotacheck pure-ftpd pure-mrtginfo
+sbin=pure-authd pure-certd pure-ftpwho pure-uploadscript pure-quotacheck pure-ftpd pure-mrtginfo
 
 FLAVOURS=pure-ftpd pure-ftpd-ldap pure-ftpd-mysql pure-ftpd-postgresql
 
@@ -94,9 +94,12 @@
 clean:
 	dh_testdir
 	dh_testroot
-	debconf-updatepo
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f build-stamp configure-stamp config.status
+	rm -f debian/pure-ftpd-*.init.d
+	for package in $(FLAVOURS); do \
+		rm -f debian/$$package.post* debian/$$package.pre*; \
+	done
 	rm -rf src/.deps puredb/src/.deps src/vanilla src/ldap src/mysql src/postgresql src/vanilla-virtualchroot src/ldap-virtualchroot src/mysql-virtualchroot src/postgresql-virtualchroot
 	dh_clean
 
@@ -106,7 +109,6 @@
 	dh_prep
 	dh_installdirs -ppure-ftpd-common etc/pam.d
 	dh_installdirs -A -Npure-ftpd-common usr/bin usr/sbin
-#	dh_installdirs -A usr/share/lintian/overrides
 
 # install docs and changelogs
 	dh_installdocs -ppure-ftpd-common --exclude=Windows --exclude=MacOS AUTHORS HISTORY THANKS README* pureftpd.schema
@@ -131,18 +133,6 @@
 	for package in $(FLAVOURS); do \
 		install -m 0644 debian/ftpusers $(CURDIR)/debian/$$package/etc; \
 	done
-#	for suffix in '' -ldap -mysql; do \
-#		echo "pure-ftpd$$suffix: binary-without-manpage" > \
-#			$(CURDIR)/debian/pure-ftpd$$suffix/usr/share/lintian/overrides/pure-ftpd$$suffix ; \
-#		chmod 0644 $(CURDIR)/debian/pure-ftpd$$suffix/usr/share/lintian/overrides/pure-ftpd$$suffix ; \
-#	done
-#	for suffix in common ldap mysql; do \
-#		echo "pure-ftpd-$$suffix: usr-doc-symlink-without-dependency" >> \
-#			$(CURDIR)/debian/pure-ftpd-$$suffix/usr/share/lintian/overrides/pure-ftpd-$$suffix ; \
-#	done
-#	echo "pure-ftpd: no-copyright-file" >> \
-#		$(CURDIR)/debian/pure-ftpd/usr/share/lintian/overrides/pure-ftpd
-
 	install -m 0755 $(addprefix src/vanilla/, $(bin)) \
 		$(CURDIR)/debian/pure-ftpd/usr/bin
 	install -m 0755 $(addprefix src/vanilla/, $(sbin)) \
@@ -185,3 +175,9 @@
 	(cd $(CURDIR)/debian/pure-ftpd-common/etc/pure-ftpd/auth && ln -s ../conf/PAMAuthentication 70pam && ln -s ../conf/UnixAuthentication 65unix)
 	install -d $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/auth
 	(cd $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/auth && ln -s ../conf/MySQLConfigFile 30mysql)
+	install -d $(CURDIR)/debian/pure-ftpd-postgresql/etc/pure-ftpd/auth
+	(cd $(CURDIR)/debian/pure-ftpd-postgresql/etc/pure-ftpd/auth && ln -s ../conf/PGSQLConfigFile 30pgsql)
+	install -d $(CURDIR)/debian/pure-ftpd-ldap/etc/pure-ftpd/auth
+	(cd $(CURDIR)/debian/pure-ftpd-ldap/etc/pure-ftpd/auth && ln -s ../conf/LDAPConfigFile 30ldap)
+# database configuration files
+	install -d $(CURDIR)/debian/pure-ftpd-mysql/etc/pure-ftpd/db
