=== debian/watch ===
version=3
https://download.pureftpd.org/pub/pure-ftpd/releases pure-ftpd-(.+)\.tar\.bz2
